import React from 'react';
import { ViewStyle } from 'react-native';
import { IChange, Events, IGutterOptions } from '../../../types';
import { INode } from '../../../tokenize/back_to_tree';
interface ISplitChangeProps {
    monotonous: boolean;
    oldSelected: boolean;
    newSelected: boolean;
    oldTokens: INode[];
    newTokens: INode[];
    oldChange: IChange;
    newChange: IChange;
    style?: ViewStyle;
    gutterStyle?: ViewStyle;
    codeStyle?: ViewStyle;
    gutterEvents?: Events;
    codeEvents?: Events;
    hideGutter: boolean;
    renderToken?: (token: INode) => JSX.Element;
    renderGutter?: (options: IGutterOptions) => JSX.Element;
}
declare const SplitChange: React.FunctionComponent<ISplitChangeProps>;
export default SplitChange;
